Bug 113572 - db4-devel-4.2.52-1 libdb-4.2.a contains .lo files instead of .o files
db4-devel-4.2.52-1 libdb-4.2.a contains .lo files instead of .o files
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: db4 (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-15 10:04 EST by Jonathan Kamens
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-19 20:20:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2004-01-15 10:04:36 EST
It appears that /usr/lib/libdb-4.2.a in db4-devel-4.2.52-1 contains 
libtool .lo files instead of object files, thus making it useless.
Comment 1 Jeff Johnson 2004-01-15 21:06:25 EST
Quite possibly, automake-1.8 has changed conventions incompatibly.

Even so, you are unlikely to have much joy linking statically
with a library that uses nptl. I tried -- hard -- in rpm
and failed miserably. I doubt you will do much better.

No way this is high severity. Yes it will be fixed.
Comment 2 Jeff Johnson 2004-01-19 20:20:08 EST
Fixed in db4-4.2.52-2. Thanks for noticing.

Note You need to log in before you can comment on or make changes to this bug.